Digikam users be aware to enable the Neptune kde-repo to fully upgrade to digikam 3.5.0 otherwise a normal update might request to remove the application.